Bug 788955 - Agent says: Existing platform has different Resource type and/or Resource key than platform in Server inventory
Agent says: Existing platform has different Resource type and/or Resource key...
Status: NEW
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
4.3
Unspecified Linux
medium Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-09 06:51 EST by Libor Zoubek
Modified: 2015-11-01 19:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2012-02-09 06:51:58 EST
Description of problem: I am getting errors in my agents.log. I am not sure whether they actually mean something bad, because besides these errors agent seems to work fine.


Version-Release number of selected component (if applicable):
Version: 4.3.0-SNAPSHOT
Build Number: b4761de

How reproducible: always


Steps to Reproduce:
1. inventory agent with all resources
2. go to the platform, and uninventory all child resources of platform
3. run manual discovery on that plattform
4. Inventory child resources again
  
Actual results: 

for some (random) resources this set of errors appear in agent.log

2012-02-09 12:09:25,740 DEBUG [WorkerThread#0[10.34.1.208:42974]]
 (rhq.core.pc.inventory.InventoryManager)- Merging [Resource[id=10976, type=Postfix Server, key=/etc/postfix/main.cf, name=dhcp-1-216.brq.redhat.com, parent=dhcp-1-216.brq.redhat.com]] into local inventory...
2012-02-09 12:09:25,740 ERROR [WorkerThread#0[10.34.1.208:42974]] (rhq.core.pc.inventory.InventoryManager)- Existing platform [Resource[id=0, type=Linux, key=dhcp-1-216.brq.redhat.com, name=dhcp-1-216.brq.redhat.com, parent=<null>, version=Linux 2.6.32-131.22.1.el6.i686]] has different Resource type and/or Resource key than platform in Server inventory: Resource[id=10976, type=Postfix Server, key=/etc/postfix/main.cf, name=dhcp-1-216.brq.redhat.com, parent=dhcp-1-216.brq.redhat.com]
2012-02-09 12:09:25,740 ERROR [WorkerThread#0[10.34.1.208:42974]] (rhq.core.pc.inventory.InventoryManager)- Access to resource [Resource[id=10976, type=Postfix Server, key=/etc/postfix/main.cf, name=dhcp-1-216.brq.redhat.com, parent=dhcp-1-216.brq.redhat.com]] will fail due to missing classloader


Expected results:


Additional info:
Comment 1 Mike Foley 2012-02-13 11:59:29 EST
per triage 2/13/2012 (asantos, crouch, foley, loleary)

Note You need to log in before you can comment on or make changes to this bug.